summaryrefslogtreecommitdiff
path: root/tools/install.sh
diff options
context:
space:
mode:
authorAlexander Berezovsky <ab@plumdistrict.com>2012-06-18 12:16:36 +0300
committerAlexander Berezovsky <ab@plumdistrict.com>2012-06-18 12:16:36 +0300
commit4a2e9ed0393b74a4e4b42766a5859e6634ce4c65 (patch)
tree51d752dd5c2cc3266077d2249f4ba5d0cefcd706 /tools/install.sh
parent73b9f8311030fe249d703178d5cb445eb0642268 (diff)
parente8d582aba98d57214a374bed01570ba791c54d9e (diff)
downloadzsh-4a2e9ed0393b74a4e4b42766a5859e6634ce4c65.tar.gz
zsh-4a2e9ed0393b74a4e4b42766a5859e6634ce4c65.tar.bz2
zsh-4a2e9ed0393b74a4e4b42766a5859e6634ce4c65.zip
Merge branch 'master' of git://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'tools/install.sh')
-rwxr-xr-xtools/install.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index aedb706da..8ca427d2c 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -5,7 +5,13 @@ then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-/usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+which git > /dev/null
+if [[ $? -eq 0 ]]; then
+ /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+else
+ echo "git not installed"
+ exit
+fi
echo "\033[0;34mLooking for an existing zsh config...\033[0m"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]